#' @title Example Subset of Shen-Orr deconvolution data set.
#' @description
#' A subset of data from Shen-Orr et al. Triplicate samples of liver, brain and lung tissue were extracted from rats. RNA was extracted and mixed in known quantities. Gene expressions were measured using the Affymetrix Rat Genome 230 2.0 Array. True mixture proportions were known from experimental design. Gene expression measurements were summarized by RMA at the log2 level. Cell types reported are Liver, Brain and Lung. Data set introduced in 'Cell type-specific gene expression differences in complex tissues' by Shen-Orr et al. 
#' @format List of lists. 
#' \describe{
#' \item{data}{list of data sets}
#' \item{annotation}{annotation for the data set}
#' }
#' @source \url{https://www.ncbi.nlm.nih.gov/geo/query/acc.cgi?acc=GSE19830}, \url{http://www.nature.com/nmeth/journal/v7/n4/abs/nmeth.1439.html}
"shen_orr_ex"
